Package: org.codehaus.groovy.runtime

## [Java] Class WritableFile

- org.codehaus.groovy.runtime.WritableFile

- All Implemented Interfaces and Traits:
    Writable

      public class WritableFile
      extends File
      implements Writable

  A Writable File.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class File` | `separatorChar, separator, pathSeparatorChar, pathSeparator`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `WritableFile(File delegate)`
    `WritableFile(File delegate, String encoding)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Writer` | `writeTo(Writer out)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class File` | `canExecute, canRead, canWrite, compareTo, compareTo, createNewFile, createTempFile, createTempFile, delete, deleteOnExit, equals, exists, getAbsoluteFile, getAbsolutePath, getCanonicalFile, getCanonicalPath, getClass, getFreeSpace, getName, getParent, getParentFile, getPath, getTotalSpace, getUsableSpace, hashCode, isAbsolute, isDirectory, isFile, isHidden, lastModified, length, list, list, listFiles, listFiles, listFiles, listRoots, mkdir, mkdirs, notify, notifyAll, renameTo, setExecutable, setExecutable, setLastModified, setReadOnly, setReadable, setReadable, setWritable, setWritable, toPath, toString, toURI, toURL, wait, wait, wait`

- - ### Constructor Detail

    - #### public WritableFile(File delegate)

    - #### public WritableFile(File delegate, String encoding)

  - ### Method Detail

    - #### @Override
      public Writer writeTo(Writer out)